# PhasicFlow: pFlow::AB2Kernels Namespace Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

pFlow::AB2Kernels Namespace Reference

## Functions

bool | intAllActive (const word &name, real dt, rangeU32 activeRng, const deviceViewType1D< realx3 > &y, const deviceViewType1D< realx3 > &dy, const deviceViewType1D< realx3 > &dy1)
bool | intScattered (const word &name, real dt, const pFlagTypeDevice &activePoints, const deviceViewType1D< realx3 > &y, const deviceViewType1D< realx3 > &dy, const deviceViewType1D< realx3 > &dy1)

## Function Documentation

## intAllActive()

bool pFlow::AB2Kernels::intAllActive | ( | const word & | name,
|  | real | dt,
|  | rangeU32 | activeRng,
|  | const deviceViewType1D< realx3 > & | y,
|  | const deviceViewType1D< realx3 > & | dy,
|  | const deviceViewType1D< realx3 > & | dy1
| ) |  |

inline

Definition at line 12 of file AB2Kernels.hpp.

References Range< T >::end(), LAMBDA_HD, and Range< T >::start().

Here is the call graph for this function:

## intScattered()

bool pFlow::AB2Kernels::intScattered | ( | const word & | name,
|  | real | dt,
|  | const pFlagTypeDevice & | activePoints,
|  | const deviceViewType1D< realx3 > & | y,
|  | const deviceViewType1D< realx3 > & | dy,
|  | const deviceViewType1D< realx3 > & | dy1
| ) |  |

inline

Definition at line 35 of file AB2Kernels.hpp.

References pointFlag< ExecutionSpace >::activeRange(), and LAMBDA_HD.

Here is the call graph for this function: